import { flags, SfdxCommand } from "@salesforce/command";
import { AnyJson } from "@salesforce/ts-types";
export default class UpdateVariable extends SfdxCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        username: flags.Discriminated<flags.Option<string>>;
        pat: flags.Discriminated<flags.Option<string>>;
        key: flags.Discriminated<flags.Option<string>>;
        value: flags.Discriminated<flags.Option<string>>;
        id: flags.Discriminated<flags.Option<string>>;
        orgname: flags.Discriminated<flags.Option<string>>;
        projectname: flags.Discriminated<flags.Option<string>>;
    };
    run(): Promise<AnyJson>;
}
